Bien empecemos, me bajo el Zaptel, el LibPri, y el nuevo Asterisk 1.4.22, descomprimo e instalo… bien, todo correcto…ningún error. Tengo 2 tarjetas en mi nuevo Asterisk (1 Digium TE122P y la nueva analógica AEX410), entro en el zaptel.conf, lo configuro, cargo los módulos y hago un ztcfg … estupendo… todo va a las mil maravillas…

Edito el zapata.conf y … esto… ¿me sale en blanco? ¿no había un zapata.conf de ejemplo? bueno, da igual lo escribo de memoria, tampoco es muy largo… Arranco el Asterisk y me aseguro que está todo funcionando bien… za<TAB> … ¿? zap show<TAB> … ¿??? que pasa??? ¿no ha cargado el módulo chan_zap?

A ver… module load chan_zap.so… ein????? Error loading module ‘chan_zap.so’: cannot open shared object file: No such file or directory ¿¿??? Como???enff!! enff!!! Grr!!! (gota de sudor nervioso…)… Grrrrrr!!!!!

Que no cunda el pánico… algo leí en algún blog de esos… que el zaptel iba a ser cambiado por eso… como era dandi o dadi,…. DAHDI! eso, dahdi… anda, aquí hay un archivo nuevo Zaptel-to-DAHDI.txt ¿a ver que dice?

Si, lo que ya sabíamos… que van a cambiarle el nombre de Zaptel a DAHDI… que ahora ya no iba a existir más zapata y que iba a ser sustituido por dahdi,… pero ¿en 1.4 no iban a mantener la compatibilidad con Zaptel un poco más?

Pues parece ser que a partir de 1.4.22 ya no existe el chan_zap, ni tampoco el zapata.conf ya lo único que queda es DAHDI.

Cuando hablaban de “mantener la compatibilidad” con Zaptel se referían que, en la consola, cuando pusieramos ‘zap’ el entendería ‘dahdi’ pero la configuración ya no es en zapata.conf … o sí?

Pues bien raro me acaban de hacer:

Resulta que, en Asterisk >= 1.4.22 uno puede seguir utilizando Zaptel o bien optar por DAHDI.

Si optas por Zaptel de toda la vida, te darás cuenta que no existe chan_zap.so (es sustituido por chan_dahdi.so), y tampoco existe el archivo zapata.conf (no obstante, hay que crearlo igualmente ya que al no tener instalado DAHDI, este va a seguir buscando el zapata.conf pese a que no viene en la instalación.

Así que, para todos aquellos que utilizan Zaptel, el asunto está movido, Asterisk 1.4 no es 100% compatible con Zaptel, ya no trae el chan_zap.so, pero sí que busca el zapata.conf, y en cambio sí que trae el chan_dahdi.so por lo que habría que instalar DAHDI, pero… ¿? Pufff esto es un lío…

Probaremos oficialmente el DAHDI a ver si por lo menos sentenciamos que Asterisk 1.4.22 y superiores SI es 100% compatible con DAHDI en lugar de matarnos a cabezazos por los raros que hace la nueva versión …

Ya contaré cómo acaba el asunto… de momento he conseguido configurarlo creando un zapata.conf nuevo y cargándolo con el chan_dahdi.conf.

Mañana probaré la nueva tarjeta analógica de 4 puertos AEX410P PCI-Express que acaba de sacar Digium pero esta vez con DAHDI. 😀

3 Comentarios

  • Que raro, yo acabo de instalar un server con 1.4.22 y zaptel ultima version que salio y todo me funciona perfecto.

    Tengo 2 E1 ahi con una 24FXO

  • Si, si funcionar funciona, pero el zapata.conf ya no viene de serie, ni tampoco el chan_zap.so. 🙂

  • Estimados,
    como lo hacen para que reconozca las tarjetas? llevo un par de semanas tratando de reconocer una TDM400P, que lo tengo con 1 modulo FXO y otro con FXS.

    Estoy bastante perdido, si me pudieran ayudar sería maximo!!! gracias de antemano 😉

    Atte.,
    ICQ

Archivos

© 2014 Sinologic, inc. All rights reserved.

Menú

Redes sociales